System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.MessageContract(IsWrapped=false)

When a peer resolver service refreshes an entry, it sets a new expiry on that entry. An instance of this object must be supplied to the peer resolver service for each peer node that should have its expiration refreshed; otherwise, the entry is marked as stale and will be deleted after a specific interval for cleanup has passed.

Instances of this class are primarily used to pass information to the resolver service from a network client of that service.

Defines the information for the refresh of a registration entry by a peer resolver service.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new default instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the provided mesh ID and unique registration ID.

  A that identifies the mesh in which the peer node participates.
  A that uniquely identifies the registration entry for the peer node.
- Method
  4.0.0.0
  System.Boolean To be added.

  Indicates whether the body of the message containing a serialized instance of this type is correctly formed.

  True if the refresh information message body is correctly formed by the sender (the service client); false if it is not.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the mesh ID of the registration entry to refresh.

- Property
  4.0.0.0
  System.Guid To be added. To be added.

  Gets the unique registration ID of the registration entry to refresh.